Subject: Re: [bug#37553] [PATCH] inferior: Change to use the (guix repl) module.

From: Christopher Baines <[email-masked]>
Date: Sun, 06 Oct 2019 09:46:27 +0100

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Christopher Baines <[email-masked]> skribis:
>
>> Yep, I've been experimenting with loading older revisions in to the Guix
>> Data Service, and this is one of the issues I came across.
>
> Nice!  I’ve been thinking we should have time-traveling continuous
> integration.  Like checking that we can build some Guix revision of the
> past in between two ‘core-updates’ merges.
>
> It would also be useful to flag known-bad revisions, but in a way the
> Data Service is already doing that for recent revisions.

So I've been looking at retrying failed jobs in the Guix Data Service,
there are a few where it's just networking issues talking to Savannah.

I guess it could be useful to have a list of revisions which can't be
used through guix pull or a channel, and that information could also be
used in the Guix Data Service.